<?php

namespace app\admin\controller\cases;

use app\common\controller\Backend;

/**
 * 方案案例多语言信息管理
 *
 * @icon fa fa-circle-o
 */
class CasesLangs extends Backend
{
    
    /**
     * CasesLangs模型对象
     * @var \app\admin\model\cases\CasesLangs
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\cases\CasesLangs;
        $this->view->assign("langlistList", $this->model->getLanglistList());
    }

    public function import()
    {
        parent::import();
    }

    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */

    /**
     * 添加
     */
    public function add()
    {
        if ($this->request->isPost()) {
            $params = $this->request->post("row/a");
            if ($this->model->where('cases_id', $params['cases_id'])->where('langlist', $params['langlist'])->find()) {
                $this->error(__('Same Language Data'));
            }
        }
        return parent::add();
    }

    /**
     * 添加
     */
    public function edit($ids = null)
    {
        if ($this->request->isPost()) {
            $params = $this->request->post("row/a");
            if ($this->model->where('id', '<>', $ids)->where('cases_id', $params['cases_id'])->where('langlist', $params['langlist'])->find()) {
                $this->error(__('Same Language Data'));
            }
        }
        return parent::edit($ids);
    }

}
